<?php
session_start();
include_once("../scripts/connect.php");
include("../scripts/session.php");
//Validar Session

    $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/

    if(!$sesion->isValida("1")){ /*Sesion invalida*/
	header("Location: ../login.php?err=NoSesion");
    }/*no hay sesion*/

    else{
       $dato=explode("|",$_SESSION['usuario']);
       $sesion->setDatos($dato[0],$dato[1],$dato[2]);
    }
    //fin validar session


  $conexion=conecta_default();
  $ok=0;
  if(isset($_POST['id_d'])){
    $id=$_POST['id_d'];
    //echo $id;
   
    $busqusr = "DELETE FROM transacciones WHERE idtransacciones='$id'";
    $cons = mysqli_query($conexion, $busqusr) or die ('Err0: '.mysqli_error($conexion));
    
    $busqusr = "DELETE FROM depositos WHERE transacciones_idtransacciones='$id'";
    $cons = mysqli_query($conexion, $busqusr) or die ('Err0: '.mysqli_error($conexion));
    
    if(mysqli_affected_rows($conexion)){
      $ok=1;
    }
  }else{//if isset post
    @header("Location:  ./listacambios.php");//header debe estar antes del cod. html
    echo "<tr><td><p>No se recibio id.</td></tr></p>";    
    exit;
  }
  echo "<html>
        <head></head>
        <body>
        <table>";
   if($ok){//si se realizo la consulta     
     echo "<tr></td>Ficha Eliminada Exitosamente.</td></tr><br />";
   }else{ echo "<tr><td><p>No se pudo realizar el cambio.</td></tr></p>";}
   echo "<tr><td><a href=\"listafichasaprobar.php\"><center><img src=\"../files/regresar.png\" border=\"0\" width=\"136\" height=\"48\" alt=\"\"></center></td></tr>";
   echo "</table>
          </body>
          </html>              
        ";  
?>
